import { TemplateRef } from "@angular/core";
import { DataTypes, FilterTypes, SortDirections } from './constants';
/**
 * grid column class
 */
export declare class Column {
    /**constructor */
    constructor(item: any);
    dataField: string;
    dataType: DataTypes;
    visible: boolean;
    width: number;
    caption: string;
    sortDirection: SortDirections;
    filterValue: string;
    filterOperator: FilterTypes;
    sortEnable: boolean;
    filterEnable: boolean;
    cellTemplate: TemplateRef<any>;
    onCellClick: any;
    styleClass: string;
    rightAlignText: boolean;
    stickyColumnLeft: boolean;
    stickyColumnRight: boolean;
}
